CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
  Take a third party risk management course for FREE
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2019-14869

A flaw was found in all versions of ghostscript 9.x before 9.50, where the `.charkeys` procedure, where it did not properly secure its privileged calls, enabling scripts to bypass `-dSAFER` restrictions. An attacker could abuse this flaw by creating a specially crafted PostScript file that could escalate privileges within the Ghostscript and access files outside of restricted areas or execute commands.
Publish Date : 2019-11-15 Last Update Date : 2020-10-09
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
6.8
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Medium (The access conditions are somewhat specialized. Some preconditions must be satistified to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Execute CodeBypass a restriction or similar
CWE ID 732

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2019:3888: ghostscript security update (Important) oval:com.redhat.rhsa:def:20193888 unix
RHSA-2019:3890: ghostscript security update (Important) oval:com.redhat.rhsa:def:20193890 unix
RHSA-2020:0222: ghostscript security update (Important) oval:com.redhat.rhsa:def:20200222 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2019-14869

# Product Type Vendor Product Version Update Edition Language
1 Application Artifex Ghostscript * * * * Version Details Vulnerabilities
2 OS Fedoraproject Fedora 29 * * * Version Details Vulnerabilities
3 OS Fedoraproject Fedora 30 * * * Version Details Vulnerabilities
4 OS Fedoraproject Fedora 31 * * * Version Details Vulnerabilities
5 OS Opensuse Leap 15.0 * * * Version Details Vulnerabilities
6 OS Opensuse Leap 15.1 * * * Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Artifex Ghostscript 1
Fedoraproject Fedora 3
Opensuse Leap 2

- References For CVE-2019-14869

http://lists.opensuse.org/opensuse-security-announce/2019-11/msg00050.html
SUSE openSUSE-SU-2019:2535
https://lists.fedoraproject.org/archives/list/[email protected]/message/2Q4E3OTDAJRSUCOBTDQO7Y5UTE2FFMLF/
FEDORA FEDORA-2019-7debdd1807
http://lists.opensuse.org/opensuse-security-announce/2019-11/msg00049.html
SUSE openSUSE-SU-2019:2534
https://lists.fedoraproject.org/archives/list/[email protected]/message/HC4REO73BEJOJAU7NHFHJECAUAYJUE3H/
FEDORA FEDORA-2019-6cdb10aa59
https://seclists.org/bugtraq/2019/Nov/27
BUGTRAQ 20191118 [SECURITY] [DSA 4569-1] ghostscript security update
https://lists.fedoraproject.org/archives/list/[email protected]/message/IX55AEDERTDFEZAROKZW64MZRPLINEGI/
FEDORA FEDORA-2019-17f42f585a
https://git.ghostscript.com/?p=ghostpdl.git;a=commitdiff;h=485904772c5f CONFIRM
https://bugs.ghostscript.com/show_bug.cgi?id=701841 CONFIRM
http://www.openwall.com/lists/oss-security/2019/11/15/1
MLIST [oss-security] 20191115 CVE-2019-14869 ghostscript: -dSAFER escape in .charkeys
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-14869 CONFIRM
https://access.redhat.com/errata/RHSA-2020:0222
REDHAT RHSA-2020:0222
http://jvn.jp/en/jp/JVN52486659/index.html
JVN JVN#52486659

- Metasploit Modules Related To CVE-2019-14869

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.